/*
 * Common java library used for Coffee Quest 4 & Wilmags Lab
 * Copyright (c) 1998-1999, 2003-2006 Blazing Games Inc. All Rights Reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.blazinggames.common.zones;

import java.awt.*;
import java.awt.image.*;

import com.blazinggames.common.sprites.*;

/**
 * This zone simply holds a sprite.  The sprite's data can change but then the
 * zone has to be invalidated and the screen updated to reflect the changes.
 *  
 * @author Billy D. Spelchan
 * @version 1.0 OSR
 * CREATED: June 19, 1998
 */
public class StaticZone extends Zone {
// *** CONSTANTS ***

// *** VARIABLES ***
	SpriteProducer m_pItem;

// *** CONSTRUCTOR ***
	public StaticZone(int nID, int nX, int nY, SpriteProducer sp) {
		super(nID, nX, nY, sp.getWidth(), sp.getHeight(), 0);
    m_pItem = sp;
	}

// *** MODIFICATION ***
  public void setItem(SpriteProducer sp) {
    m_pItem = sp;
    resize(sp.getWidth(), sp.getHeight());
  }

// *** INFORMATION ***
  public SpriteProducer getItem() {
    return m_pItem;
  }

// *** DRAWING ***
	// Fully draws the component
	public int paint(Graphics g, ImageObserver observer) {
    if (!isVisible())
      return 0;
      
		m_nUpdateState = m_nState;
    if (m_pItem != null)
    	m_pItem.relativePaint(g, m_nX, m_nY, observer);
    return 0;
	}
}
