/*
 * Common java library used for Coffee Quest 4 & Wilmags Lab
 * Copyright (c) 1998-1999, 2003-2006 Blazing Games Inc. All Rights Reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.blazinggames.common.zones;

/**
 * The purpose of this interface is to provide the ability for a class to
 * recieve Zone Messages.
 *   
 * @author Billy D. Spelchan
 * @version 1.0 OSR
 * CREATED: March 5, 1998
 */
public interface ZoneListener extends java.util.EventListener  {
	// Common message codes
	public static final int ZN_HIGHLIGHTED = 1;
	public static final int ZN_UNHIGHLIGHTED = 2;
	public static final int ZN_SELECTED = 3;
	public static final int ZN_DRAGGED = 4;
	public static final int ZN_RELEASED = 5;
	public static final int ZN_OUTOFZONERELEASE = 6;
	public static final int ZN_REPAINTZONE = 7;
	public static final int ZN_UNIQUESTART = 10;

	// method that handles the message
	// nID is the ID of the Zone class(es) that generated the message
	// nMessageCode is the message.  Some zones have their own unique messages.
	public abstract void zoneMessage(int nID, int nMessageCode);

	// Method for handling drag and drop between components
	// If not using drag/drop then implement this with no action
	// It is assumed that the components implementing drag/drop will have all
	// the necessary functions, and the actual work will be done here.
	public abstract void zoneDragDrop(int nIDReceiver, int nIDDropped);
}
